=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/(\d\.[\d\.]+)/source/firefox-([\d\.]+)[\.-]source\.tar\.bz2
