## iceweasel 3.5.16

=== debian/changelog ===
iceweasel (3.5.16-20) stable-security; urgency=low

  * Fixes for mfsa2012-{91,93,101,105}, also known as
    CVE-2012-5842, CVE-2012-4201, CVE-2012-4207, CVE-2012-5829,
    CVE-2012-4216.
  * Added hard-blocklist for
    https://addons.mozilla.org/en-US/firefox/blocked/i162

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Dec 2012 22:09:28 +0100

iceweasel (3.5.16-19) stable-security; urgency=low

  * Fixes for mfsa2012-{74,77,81,85-87}, also known as
    CVE-2012-3982, CVE-2012-3986, CVE-2012-3991, CVE-2012-4179,
    CVE-2012-4180, CVE-2012-4182, CVE-2012-4186, CVE-2012-4188,
    CVE-2012-3990.
  * Fixes a regression crash from the fix for CVE-2012-3959.

 -- Mike Hommey <glandium@debian.org>  Sun, 21 Oct 2012 00:23:48 +0200

iceweasel (3.5.16-18) stable-security; urgency=low

  * Fixes for mfsa2012-{57-58,63,65,70}, also known as
    CVE-2012-1970, CVE-2012-1972, CVE-2012-1973, CVE-2012-1974,
    CVE-2012-1975, CVE-2012-1976, CVE-2012-3959, CVE-2012-3962,
    CVE-2012-3969, CVE-2012-3972, CVE-2012-3978.

 -- Mike Hommey <glandium@debian.org>  Fri, 21 Sep 2012 16:51:37 +0200

iceweasel (3.5.16-17) stable-security; urgency=low

  * Fixes for mfsa2012-{42-44,46}, also known as
    CVE-2012-1948, CVE-2012-1950, CVE-2012-1954, CVE-2012-1966,
    CVE-2012-1967.

 -- Mike Hommey <glandium@debian.org>  Sat, 14 Jul 2012 09:45:03 +0200

iceweasel (3.5.16-16) stable-security; urgency=low

  * Fixes for mfsa2012-{34,40}, also known as
    CVE-2012-1937, CVE-2012-1939, CVE-2012-1940.

 -- Mike Hommey <glandium@debian.org>  Sat, 02 Jun 2012 09:22:50 +0200

iceweasel (3.5.16-15) stable-security; urgency=low

  * Revert one of the patches for CVE-2012-0467 because of regression crash.
    It turns out the issue that patch addresses isn't dangerous in 3.5.
    Closes: #670586.

 -- Mike Hommey <glandium@debian.org>  Fri, 11 May 2012 09:21:06 +0200

iceweasel (3.5.16-14) stable-security; urgency=low

  * Fixes for mfsa2012-{20,23-24,29,33}, also known as
    CVE-2012-0467, CVE-2012-0470, CVE-2012-0471, CVE-2012-0477,
    CVE-2012-0479.

 -- Mike Hommey <glandium@debian.org>  Sat, 21 Apr 2012 08:53:10 +0200

iceweasel (3.5.16-13) stable-security; urgency=low

  * Fixes for mfsa2012-{13-14,16,19}, also known as
    CVE-2012-0455, CVE-2012-0456, CVE-2012-0458, CVE-2012-0461.

 -- Mike Hommey <glandium@debian.org>  Thu, 15 Mar 2012 08:52:09 +0100

iceweasel (3.5.16-12) stable-security; urgency=low

  * Fixes for mfsa2012-{01,02,07,08}, also known as
    CVE-2012-0442, CVE-2011-3670, CVE-2012-0444, CVE-2012-0449.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Feb 2012 00:25:12 +0100

iceweasel (3.5.16-11) stable-security; urgency=low

  * Fixes for mfsa2011-{46-47,49}, also known as
    CVE-2011-3647, CVE-2011-3648, CVE-2011-3650.

 -- Mike Hommey <glandium@debian.org>  Tue, 08 Nov 2011 20:36:35 +0100

iceweasel (3.5.16-10) stable-security; urgency=low

  * Fixes for mfsa2011-{36-40}, also known as
    CVE-2011-2995, CVE-2011-2998, CVE-2011-2999, CVE-2011-3000,
    CVE-2011-2372.
  * security/manager/ssl/src/nsIdentityChecking.cpp,
    security/manager/ssl/src/nsNSSCallbacks.*,
    security/manager/ssl/src/nsNSSIOLayer.*: Mark DigiNotar root certificates
    as revoked instead of untrusted.

 -- Mike Hommey <glandium@debian.org>  Thu, 29 Sep 2011 07:56:42 +0200

iceweasel (3.5.16-9) stable-security; urgency=low

  * Fixes for mfsa2011-30, including:
    CVE-2011-2982, CVE-2011-2981, CVE-2011-2378, CVE-2011-2984,
    CVE-2011-2983.

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2011 13:10:22 +0200

iceweasel (3.5.16-8) stable-security; urgency=low

   * Fixes for mfsa2011-{19,20,22-24}, also known as
     CVE-2011-2374, CVE-2011-2376, CVE-2011-2365, CVE-2011-2373,
     CVE-2011-2371, CVE-2011-0083, CVE-2011-2363, CVE-2011-0085,
     CVE-2011-2362.
   * toolkit/xre/nsAppRunner.cpp: Avoid crash after connecting to an existing
     instance. Closes: #630589.

 -- Mike Hommey <glandium@debian.org>  Fri, 01 Jul 2011 12:22:12 +0200

iceweasel (3.5.16-7) stable-security; urgency=low

  * Fixes for mfsa2011-{12-14,16}, also known as
    CVE-2011-0069, CVE-2011-0070, CVE-2011-0080, CVE-2011-0077,
    CVE-2011-0078, CVE-2011-0072, CVE-2011-0065, CVE-2011-0066,
    CVE-2011-0073, CVE-2011-0067, CVE-2011-0071.
  * gfx/ots/include/opentype-sanitiser.h: strict alignment issues when
    displaying OpenType fonts. bz#643137.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Apr 2011 10:03:02 +0200

iceweasel (3.5.16-6) stable-security; urgency=low

  * mfsa2011-11: Update to HTTPS certificate blacklist.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Mar 2011 10:40:43 +0100

iceweasel (3.5.16-5) stable-security; urgency=low

  * Fixes for mfsa2011-{01-08,10}, also known as
    CVE-2011-0053, CVE-2011-0051, CVE-2011-0055, CVE-2011-0054,
    CVE-2011-0056, CVE-2011-0057, CVE-2011-0058, CVE-2010-1585,
    CVE-2011-0059.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Mar 2011 09:34:14 +0100

iceweasel (3.5.16-4) unstable; urgency=low

  * debian/iceweasel.README.Debian: Fix for the default dsp wrapper behaviour.
  * debian/xulrunner-GRE_VERSION.postinst.in: Revert components registration
    trigger, it didn't fix anything for python-xpcom.
  * debian/iceweasel.desktop: Add russian translation. Closes: #608876.
    Thanks Alexander Sashanov.
  * debian/control.in, debian/rules, debian/xulrunner-GRE_VERSION.links.in:
    Use /usr/share/myspell/dicts for dictionaries when building for lenny.
    Closes: #609111.

  * build/automation.py.in: Add a 2 minutes timeout on automation.py-driven
    tests.

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Jan 2011 14:11:08 +0100

iceweasel (3.5.16-3) unstable; urgency=low

  * debian/xulrunner-GRE_VERSION.postinst.in: Trigger components registration
    after postinst with dpkg-trigger.

  * testing/xpcshell/head.js: Revert previous change.
  * testing/xpcshell/runxpcshelltests.py: Add a 2 minutes timeout on xpcshell

