=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libxt-dev,
                libidl-dev,
                libgtk2.0-dev (>= 2.10),
-               libglib2.0-dev (>= 2.18.0),
+               libglib2.0-dev (>= 2.16.0),
                libstartup-notification0-dev,
                libgnomevfs2-dev,
                libgnome2-dev,
@@ -22,8 +22,8 @@
                libreadline-dev | libreadline5-dev,
                python,
                dpkg-dev (>= 1.13.19),
-               libnspr4-dev (>= 4.8),
-               libnss3-dev (>= 3.12.6),
+               libnspr4-dev (>= 4.8.6),
+               libnss3-dev (>= 3.12.8),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
                libsqlite3-dev (>= 3.6.16),
@@ -39,7 +39,8 @@
                ttf-freefont,
                imagemagick,
                librsvg2-bin,
-               xsltproc
+               xsltproc,
+               lsb-release
 Build-Conflicts: graphicsmagick-imagemagick-compat,
                  libhildonmime-dev,
                  libosso-dev
@@ -54,7 +55,7 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         xulrunner-1.9.1 (>= 1.9.1.12)
+         xulrunner-1.9.1 (>= 1.9.1.16)
 Suggests: ttf-lyx | latex-xft-fonts,
           xfonts-mathml,
           ttf-mathematica4.1,
