=== debian/rules ===
--- 
+++ 
@@ -96,8 +96,14 @@
 
 GENERATED_FILES += $(filter-out debian/control,$(PREPROCESSED_FILES))
 
+ifeq ($(shell lsb_release -sc),lenny)
+DICT_DIR := /usr/share/myspell/dicts
+else
+DICT_DIR := /usr/share/hunspell
+endif
+
 $(PREPROCESSED_FILES):
-	sed $(foreach var,GRE_VERSION GRE_MILESTONE SO_VERSION,-e 's/##$(var)##/$($(var))/g' )$^ > $@
+	sed $(foreach var,GRE_VERSION GRE_MILESTONE SO_VERSION DICT_DIR,-e 's,##$(var)##,$($(var)),g' )$^ > $@
 
 build-iceweasel/%/Makefile build-xulrunner/%/Makefile:
 	cd $(firstword $(subst /, ,$@)) && ../build/autoconf/make-makefile -t .. $*
@@ -208,5 +214,3 @@
 		for f in *; do \
 			rm -f ../unstable/$$f; ln -s ../stable/$$f ../unstable/$$f; \
 		done
-	cd debian/tmp/usr/share/idl/xulrunner-$(GRE_VERSION)/stable; \
-		for f in *; do \
