## iceweasel 3.5.19

=== debian/changelog ===
iceweasel (3.5.19-3) unstable; urgency=high

  * Fixes for mfsa2011-{19,20,22-24}, also known as
    CVE-2011-2374, CVE-2011-2376, CVE-2011-2365, CVE-2011-2373,
    CVE-2011-2371, CVE-2011-0083, CVE-2011-2363, CVE-2011-0085,
    CVE-2011-2362.
  * toolkit/xre/nsAppRunner.cpp: Avoid crash after connecting to an existing
    instance. Closes: #630589.

 -- Mike Hommey <glandium@debian.org>  Fri, 01 Jul 2011 11:59:44 +0200

iceweasel (3.5.19-2) unstable; urgency=low

  * xpcom/base/nsDebugImpl.h, xpcom/base/nsTraceRefcntImpl.h,
    xpcom/glue/nsEnumeratorUtils.cpp, xpcom/io/nsUnicharInputStream.h,
    gfx/ots/src/os2.cc, intl/unicharutil/util/nsUnicharUtils.h,
    toolkit/xre/nsAppRunner.cpp, embedding/browser/gtk/src/EmbedPrivate.cpp:
    Add missing constructors according to 8.5 [dcl.init], para 9 in C++03,
    para 6 in C++0x, because gcc 4.6 enforces it.
  * debian/copyright: Updated to fit the replacement of the remove.nonfree
    script.

 -- Mike Hommey <glandium@debian.org>  Sat, 30 Apr 2011 18:36:50 +0200

iceweasel (3.5.19-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2011-{12-16,18}, also known as
    CVE-2011-0069, CVE-2011-0070, CVE-2011-0080, CVE-2011-0074,
    CVE-2011-0075, CVE-2011-0077, CVE-2011-0078, CVE-2011-0072,
    CVE-2011-0065, CVE-2011-0066, CVE-2011-0073, CVE-2011-0067,
    CVE-2011-0076, CVE-2011-0071, CVE-2011-1202.
  * gfx/ots/include/opentype-sanitiser.h: strict alignment issues when
    displaying OpenType fonts. bz#643137.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Apr 2011 08:45:13 +0200

iceweasel (3.5.18-1) unstable; urgency=high

  * New upstream release.
  * mfsa2011-11: Update to HTTPS certificate blacklist.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Mar 2011 10:53:41 +0100

iceweasel (3.5.17-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2011-{01-08,10}, also known as
    CVE-2011-0053, CVE-2011-0051, CVE-2011-0055, CVE-2011-0054,
    CVE-2011-0056, CVE-2011-0057, CVE-2011-0058, CVE-2010-1585,
    CVE-2011-0059.
  * debian/iceweasel.desktop: Add x-scheme-handler/http* MimeTypes.
    Closes: #613109.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Mar 2011 09:14:05 +0100
