=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         xulrunner-1.9.1 (>= 1.9.1.16)
+         xulrunner-1.9.1 (>= 1.9.1.18)
 Suggests: ttf-lyx | latex-xft-fonts,
           xfonts-mathml,
           ttf-mathematica4.1,
